// INewImageProcessor.aidl
package cn.jingling.motu.scenario;

// Declare any non-default types here with import statements
import android.net.Uri;

// 对新图片进行处理的AIDL接口
// 由于SharedPreferences跨进程工作存在问题，所以提供设置是否允许通知的接口。
// 参考：http://stackoverflow.com/questions/27827678/use-sharedpreferences-on-multi-process-mode
interface INewImageProcessor {
    /**
     * 当有新照片时（通过android.hardware.action.NEW_PICTURE或com.android.camera.NEW_PICTURE广播通知）
     * 调用此方法.
     */
    void notifyNewPhoto(in Uri newPhotoUri);

    /**
     * 设置是否允许新照片消息
     */
    void enablePhotoNotification(boolean enabled);

    /**
     * 设置是否允许新截屏消息
     */
    void enableScreenshotNotification(boolean enabled);

    /**
     * 设置系统相机是否被魔图启动（是魔图启动的则需要暂停通知）
     */
    void setCameraLaunchedByPhotoWonder(boolean flag);
}
